-- Deploy numerus:current_app_user to pg
-- requires: schema_numerus

begin;

set search_path to numerus;

create or replace function current_app_user() returns text as
$$
select current_setting('request.user.cookie', true);
$$
language sql
stable;

comment on function current_app_user() is
'Returns the ID of the current Numerus user';

revoke execute on function current_app_user() from public;
grant execute on function current_app_user() to guest;
grant execute on function current_app_user() to invoicer;
grant execute on function current_app_user() to admin;

commit;
